Subject: Re: [PATCH] powerpc: populate the default bus with machine_arch_initcall

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 15 Aug 2016 09:54:59 +1000

On Sun, 2016-08-14 at 17:42 -0500, Rob Herring wrote:
> > Not fan of the hard #ifdef at all... it will make it hard to
> convert
> > platforms one by one. Why not an arch_want_default_of_probe() or
> > something like this which we can then plumb into ppc_md. ?
> 
> Yeah, I'm not either really. I didn't propose using IS_ENABLED here
> either as it does add a needless initcall.
> 
> Do you have any idea which platforms are not broken and could be
> switched over now. If not, I think we should just leave as is for 4.8
> and make it per platform selectable for 4.9.

Not really... the non-embedded platforms (mac, pseries, etc...) don't
really use the OF bus probing iirc, so it's going to be a matter of
scrubbing the embedded ones. I agree we can do that in 4.9

Cheers,
Ben.